// Gilles Tran -> Public domain 2006
// Real time raytracing demo for POV-Ray 3.7
// Render +rtr +kla 
// start with a small size image like +w160 +h120
#include "colors.inc"
#include "textures.inc"
#include "cube.inc" 
 
global_settings {    
assumed_gamma 2.2
   max_trace_level 3
 
}
#declare ck = 0.0;
#while (ck < 2.0)

    camera{
        location  <-1,1,90>
    direction z*0.8
        up y
        right     image_width*x/image_height
        look_at   <0,0,0>
        rotate y*360*ck/2
        rotate x*360*ck
        
        #declare ck = ck + 0.01;
    
}
#end    
object{Cube rotate <-25,-70,-50>}
blob{
    threshold  0.3
        sphere{<15,5,5>,20,1}
        sphere{<-10,16,-5>,20,1}
        sphere{<-5,-12,-15>,20,1}
//        texture{pigment{Black} finish{ambient 0 diffuse 0 reflection{0.8, 1}}} 
        texture{pigment{rgbf <0.9,0.9,0.9,0.9>} finish{ambient 0 diffuse 0 reflection{0.4 1}}} 
        interior{ior 1.5}
}
